> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base

> Delete a knowledge base.

If the base contains knowledge items, returns 409 Conflict unless force=true.
When force=true, the base and all its items are deleted.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/knowledge/base/{id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/knowledge/base/{id}:
    delete:
      tags:
        - Knowledge Bases
      summary: Delete Knowledge Base
      description: >-
        Delete a knowledge base.


        If the base contains knowledge items, returns 409 Conflict unless
        force=true.

        When force=true, the base and all its items are deleted.
      operationId: delete_knowledge_base_v1_knowledge_base__id__delete
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
        - name: force
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Force
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````